OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_ApplicationDelta Class Reference

`#include <TDocStd_ApplicationDelta.hxx>`

## Public Member Functions
Standard_EXPORT | TDocStd_ApplicationDelta ()
TDocStd_SequenceOfDocument & | GetDocuments ()
const TCollection_ExtendedString & | GetName () const
void | SetName (const TCollection_ExtendedString &theName)
Standard_EXPORT void | Dump (Standard_OStream &anOS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TDocStd_SequenceOfDocument | myDocuments
TCollection_ExtendedString | myName

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_ApplicationDelta::TDocStd_ApplicationDelta | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TDocStd_ApplicationDelta::Dump | ( | Standard_OStream & | anOS | ) | const

TDocStd_SequenceOfDocument & TDocStd_ApplicationDelta::GetDocuments | ( |  | ) | `[inline]`

const TCollection_ExtendedString & TDocStd_ApplicationDelta::GetName | ( |  | ) | const`[inline]`

Standard_EXPORT const TDocStd_ApplicationDelta::Handle | ( | Standard_Type |  | ) | const

void TDocStd_ApplicationDelta::SetName | ( | const TCollection_ExtendedString & | theName | ) | `[inline]`

## Field Documentation

TDocStd_SequenceOfDocument TDocStd_ApplicationDelta::myDocuments`[private]`

TCollection_ExtendedString TDocStd_ApplicationDelta::myName`[private]`

The documentation for this class was generated from the following files:

- TDocStd_ApplicationDelta.hxx
- TDocStd_ApplicationDelta.lxx